// ============================================================================
//  $Id: TRecordDisplayComponent.cc,v 1.2 2004/03/07 10:30:27 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: TRecordDisplayComponent.cc,v $
//  Revision 1.2  2004/03/07 10:30:27  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.1  2004/03/01 02:36:25  goiwai
//  RecordDisplay用のクラス群を置きました.
//  お蔵入りになってたものに手直しを加えたものですが,
//  まだ不充分な点も在ります.徐々に修正していきたいと思います.
//  DataRecordオブジェクトを表示するためのツール群なのでRecordDisplayと呼
//  んでいます,多分にオフライン要素が強いです.
//  オンラインよりにしたものを後でEventDisplay(Eventを表示)としてコミット
//  します.
//
// ============================================================================
#ifdef __CLDAQ_ROOT_USE
#include "TRecordDisplayComponent.hh"
#include "TRecordDisplay.hh"

TRecordDisplayComponent::TRecordDisplayComponent( TRecordDisplay* evd )
  : theRecordDisplay( evd ), 
    theParentFrame( evd ), 
    theFinishBuild( Tfalse )
{;}

TRecordDisplayComponent::TRecordDisplayComponent( TRecordDisplay* evd, TGCompositeFrame* frame )
  : theRecordDisplay( evd ), 
    theParentFrame( frame ), 
    theFinishBuild( Tfalse )
{;}

TRecordDisplayComponent::~TRecordDisplayComponent()
{;}

#endif

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TRecordDisplayComponent)
#endif
